### Hierarchy

- Table

### Implements

- AfterViewInit
- OnDestroy

## Index

### Inputs

- columnsDraggable
- columnsResizable
- enableSingleSelect
- footerTemplate
- noBorder
- scrollLoadDistance
- selectionLabelColumn
- showSelectionColumn
- size
- skeleton
- sortable
- stickyHeader
- striped
- expandButtonAriaLabel
- isDataGrid
- model
- sortAscendingLabel
- sortDescendingLabel
- translations

### Outputs

- deselectAll
- deselectRow
- rowClick
- scrollLoad
- selectAll
- selectRow
- sort

### Constructors

- constructor

### Properties

- _checkboxHeaderLabel
- _checkboxRowLabel
- _endOfDataText
- _expandButtonAriaLabel
- _filterTitle
- _isDataGrid
- _model
- _scrollTopText
- _sortAscendingLabel
- _sortDescendingLabel
- applicationRef
- columnDraggedHoverIndex
- columnDraggedPosition
- columnResizeMouseX
- columnResizeWidth
- columnsDraggable
- columnsResizable
- deselectAll
- deselectRow
- elementRef
- enableSingleSelect
- footerTemplate
- i18n
- interactionModel
- interactionPositionSubscription
- isColumnDragging
- isViewReady
- mouseMoveSubscription
- mouseUpSubscription
- noBorder
- positionSubscription
- rowClick
- scrollLoad
- scrollLoadDistance
- selectAll
- selectAllCheckbox
- selectAllCheckboxSomeSelected
- selectRow
- selectionLabelColumn
- showSelectionColumn
- size
- skeleton
- sort
- sortable
- stickyHeader
- striped
- subscriptions

### Accessors

- expandButtonAriaLabel
- isDataGrid
- model
- noData
- sortAscendingLabel
- sortDescendingLabel
- translations

### Methods

- columnDragEnd
- columnDragEnter
- columnDragLeave
- columnDragStart
- columnDragover
- columnDrop
- columnResizeEnd
- columnResizeProgress
- columnResizeStart
- disableDataGridInteractions
- doSort
- enableDataGridInteractions
- getCheckboxHeaderLabel
- getCheckboxRowLabel
- getEndOfDataText
- getExpandButtonAriaLabel
- getFilterTitle
- getScrollTopText
- getSelectionLabelValue
- getSortAscendingLabel
- getSortDescendingLabel
- ngAfterViewInit
- ngOnDestroy
- onDeselectAll
- onRowClick
- onScroll
- onSelectAll
- onSelectRow
- resetTabIndex
- scrollToTop
- updateSelectAllCheckbox
- focus
- setTabIndex
- skeletonModel

## Constructors

### constructor

- new Table(elementRef: ElementRef, applicationRef: ApplicationRef, i18n: I18n): Table

- - Defined in src/table/table.component.ts:619

  #### Parameters

  - ##### elementRef: ElementRef

  - ##### applicationRef: ApplicationRef

  - ##### i18n: I18n

  #### Returns Table

## Properties

### Protected _checkboxHeaderLabel

_checkboxHeaderLabel: Overridable = this.i18n.getOverridable("TABLE.CHECKBOX_HEADER")

- Defined in src/table/table.component.ts:610

### Protected _checkboxRowLabel

_checkboxRowLabel: Overridable = this.i18n.getOverridable("TABLE.CHECKBOX_ROW")

- Defined in src/table/table.component.ts:611

### Protected _endOfDataText

_endOfDataText: Overridable = this.i18n.getOverridable("TABLE.END_OF_DATA")

- Defined in src/table/table.component.ts:612

### Protected _expandButtonAriaLabel

_expandButtonAriaLabel: Overridable = this.i18n.getOverridable("TABLE.EXPAND_BUTTON")

- Defined in src/table/table.component.ts:607

### Protected _filterTitle

_filterTitle: Overridable = this.i18n.getOverridable("TABLE.FILTER")

- Defined in src/table/table.component.ts:614

### Protected _isDataGrid

_isDataGrid: boolean = false

- Defined in src/table/table.component.ts:597

### Protected _model

_model: TableModel

- Defined in src/table/table.component.ts:596

### Protected _scrollTopText

_scrollTopText: Overridable = this.i18n.getOverridable("TABLE.SCROLL_TOP")

- Defined in src/table/table.component.ts:613

### Protected _sortAscendingLabel

_sortAscendingLabel: Overridable = this.i18n.getOverridable("TABLE.SORT_ASCENDING")

- Defined in src/table/table.component.ts:609

### Protected _sortDescendingLabel

_sortDescendingLabel: Overridable = this.i18n.getOverridable("TABLE.SORT_DESCENDING")

- Defined in src/table/table.component.ts:608

### Protected applicationRef

applicationRef: ApplicationRef

- Defined in src/table/table.component.ts:626

### columnDraggedHoverIndex

columnDraggedHoverIndex: number = -1

- Defined in src/table/table.component.ts:593

### columnDraggedPosition

columnDraggedPosition: string = ""

- Defined in src/table/table.component.ts:594

### Protected columnResizeMouseX

columnResizeMouseX: number

- Defined in src/table/table.component.ts:617

### Protected columnResizeWidth

columnResizeWidth: number

- Defined in src/table/table.component.ts:616

### columnsDraggable

@Input()
columnsDraggable: boolean = false

- Defined in src/table/table.component.ts:407

### columnsResizable

@Input()
columnsResizable: boolean = false

- Defined in src/table/table.component.ts:398

### deselectAll

@Output()
deselectAll: EventEmitter<Object> = new EventEmitter<Object>()

- Defined in src/table/table.component.ts:550

### deselectRow

@Output()
deselectRow: EventEmitter<Object> = new EventEmitter<Object>()

- Defined in src/table/table.component.ts:564

### Protected elementRef

elementRef: ElementRef

- Defined in src/table/table.component.ts:625

### enableSingleSelect

@Input()
enableSingleSelect: boolean = false

- Defined in src/table/table.component.ts:384

### footerTemplate

@Input()
footerTemplate: TemplateRef<any>

- Defined in src/table/table.component.ts:466

### Protected i18n

i18n: I18n

- Defined in src/table/table.component.ts:627

### Protected interactionModel

interactionModel: DataGridInteractionModel

- Defined in src/table/table.component.ts:604

### Protected interactionPositionSubscription

interactionPositionSubscription: Subscription

- Defined in src/table/table.component.ts:605

### isColumnDragging

isColumnDragging: boolean = false

- Defined in src/table/table.component.ts:592

### Protected isViewReady

isViewReady: boolean = false

- Defined in src/table/table.component.ts:599

### Protected mouseMoveSubscription

mouseMoveSubscription: Subscription

- Defined in src/table/table.component.ts:618

### Protected mouseUpSubscription

mouseUpSubscription: Subscription

- Defined in src/table/table.component.ts:619

### noBorder

@Input()
noBorder: boolean = true

- Defined in src/table/table.component.ts:370

### Protected positionSubscription

positionSubscription: Subscription

- Defined in src/table/table.component.ts:602

### rowClick

@Output()
rowClick: EventEmitter<number> = new EventEmitter<number>()

- Defined in src/table/table.component.ts:569

### scrollLoad

@Output()
scrollLoad: EventEmitter<TableModel> = new EventEmitter<TableModel>()

- Defined in src/table/table.component.ts:574

### scrollLoadDistance

@Input()
scrollLoadDistance: number = 0

- Defined in src/table/table.component.ts:390

### selectAll

@Output()
selectAll: EventEmitter<Object> = new EventEmitter<Object>()

- Defined in src/table/table.component.ts:543

### selectAllCheckbox

selectAllCheckbox: boolean = false

- Defined in src/table/table.component.ts:579

### selectAllCheckboxSomeSelected

selectAllCheckboxSomeSelected: boolean = false

- Defined in src/table/table.component.ts:584

### selectRow

@Output()
selectRow: EventEmitter<Object> = new EventEmitter<Object>()

- Defined in src/table/table.component.ts:557

### selectionLabelColumn

@Input()
selectionLabelColumn: number

- Defined in src/table/table.component.ts:478

### showSelectionColumn

@Input()
showSelectionColumn: boolean = true

- Defined in src/table/table.component.ts:379

### size

@Input()
size: TableRowSize = "md"

- Defined in src/table/table.component.ts:345

### skeleton

@Input()
skeleton: boolean = false

- Defined in src/table/table.component.ts:349

### sort

@Output()
sort: EventEmitter<number> = new EventEmitter<number>()

- Defined in src/table/table.component.ts:536

### sortable

@Input()
sortable: boolean = true

- Defined in src/table/table.component.ts:368

### stickyHeader

@HostBinding({"hostPropertyName":"class.bx--data-table_inner-container"})
@Input()
stickyHeader: boolean = false

- Defined in src/table/table.component.ts:461

### striped

@Input()
striped: boolean = true

- Defined in src/table/table.component.ts:456

### Protected subscriptions

subscriptions: Subscription = new Subscription()

- Defined in src/table/table.component.ts:601

## Accessors

### expandButtonAriaLabel

@Input()
expandButtonAriaLabel:

- Defined in src/table/table.component.ts:410
- Defined in src/table/table.component.ts:413

### isDataGrid

@Input()
isDataGrid:

- Defined in src/table/table.component.ts:353
- Defined in src/table/table.component.ts:372

### model

@Input()
model:

- Defined in src/table/table.component.ts:301
- Defined in src/table/table.component.ts:338

### noData

noData:

- Defined in src/table/table.component.ts:586

### sortAscendingLabel

@Input()
sortAscendingLabel:

- Defined in src/table/table.component.ts:424
- Defined in src/table/table.component.ts:427

### sortDescendingLabel

@Input()
sortDescendingLabel:

- Defined in src/table/table.component.ts:417
- Defined in src/table/table.component.ts:420

### translations

@Input()
translations:

- Defined in src/table/table.component.ts:444

## Methods

### columnDragEnd

- columnDragEnd(event: any, columnIndex: any): void

- - Defined in src/table/table.component.ts:789

  #### Parameters

  - ##### event: any

  - ##### columnIndex: any

  #### Returns void

### columnDragEnter

- columnDragEnter(event: any, position: any, columnIndex: any): void

- - Defined in src/table/table.component.ts:794

  #### Parameters

  - ##### event: any

  - ##### position: any

  - ##### columnIndex: any

  #### Returns void

### columnDragLeave

- columnDragLeave(event: any, position: any, columnIndex: any): void

- - Defined in src/table/table.component.ts:799

  #### Parameters

  - ##### event: any

  - ##### position: any

  - ##### columnIndex: any

  #### Returns void

### columnDragStart

- columnDragStart(event: any, columnIndex: any): void

- - Defined in src/table/table.component.ts:783

  #### Parameters

  - ##### event: any

  - ##### columnIndex: any

  #### Returns void

### columnDragover

- columnDragover(event: any, position: any, columnIndex: any): void

- - Defined in src/table/table.component.ts:803

  #### Parameters

  - ##### event: any

  - ##### position: any

  - ##### columnIndex: any

  #### Returns void

### columnDrop

- columnDrop(event: any, position: any, columnIndex: any): void

- - Defined in src/table/table.component.ts:811

  #### Parameters

  - ##### event: any

  - ##### position: any

  - ##### columnIndex: any

  #### Returns void

### columnResizeEnd

- columnResizeEnd(event: any, column: any): void

- - Defined in src/table/table.component.ts:764

  #### Parameters

  - ##### event: any

  - ##### column: any

  #### Returns void

### columnResizeProgress

- columnResizeProgress(event: any, column: any): void

- - Defined in src/table/table.component.ts:759

  #### Parameters

  - ##### event: any

  - ##### column: any

  #### Returns void

### columnResizeStart

- columnResizeStart(event: any, column: any): void

- - Defined in src/table/table.component.ts:746

  #### Parameters

  - ##### event: any

  - ##### column: any

  #### Returns void

### disableDataGridInteractions

- disableDataGridInteractions(): void

- - Defined in src/table/table.component.ts:674

  #### Returns void

### doSort

- doSort(index: number): void

- - Defined in src/table/table.component.ts:822

  #### Parameters

  - ##### index: number

  #### Returns void

### enableDataGridInteractions

- enableDataGridInteractions(): void

- - Defined in src/table/table.component.ts:644

  #### Returns void

### getCheckboxHeaderLabel

- getCheckboxHeaderLabel(): Observable<string>

- - Defined in src/table/table.component.ts:861

  #### Returns Observable<string>

### getCheckboxRowLabel

- getCheckboxRowLabel(): Observable<string>

- - Defined in src/table/table.component.ts:865

  #### Returns Observable<string>

### getEndOfDataText

- getEndOfDataText(): Observable<string>

- - Defined in src/table/table.component.ts:869

  #### Returns Observable<string>

### getExpandButtonAriaLabel

- getExpandButtonAriaLabel(): Observable<string>

- - Defined in src/table/table.component.ts:851

  #### Returns Observable<string>

### getFilterTitle

- getFilterTitle(): Observable<string>

- - Defined in src/table/table.component.ts:877

  #### Returns Observable<string>

### getScrollTopText

- getScrollTopText(): Observable<string>

- - Defined in src/table/table.component.ts:873

  #### Returns Observable<string>

### getSelectionLabelValue

- getSelectionLabelValue(row: TableItem[]): object

- - Defined in src/table/table.component.ts:844

  #### Parameters

  - ##### row: TableItem[]

  #### Returns object

  - ##### value: any

### getSortAscendingLabel

- getSortAscendingLabel(): Observable<string>

- - Defined in src/table/table.component.ts:857

  #### Returns Observable<string>

### getSortDescendingLabel

- getSortDescendingLabel(): Observable<string>

- - Defined in src/table/table.component.ts:854

  #### Returns Observable<string>

### ngAfterViewInit

- ngAfterViewInit(): void

- - Defined in src/table/table.component.ts:630

  #### Returns void

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in src/table/table.component.ts:637

  #### Returns void

### onDeselectAll

- onDeselectAll(): void

- - Defined in src/table/table.component.ts:690

  #### Returns void

### onRowClick

- onRowClick(index: number): void

- - Defined in src/table/table.component.ts:709

  #### Parameters

  - ##### index: number

  #### Returns void

### onScroll

- onScroll(event: any): void

- - Defined in src/table/table.component.ts:773

  #### Parameters

  - ##### event: any

  #### Returns void

### onSelectAll

- onSelectAll(): void

- - Defined in src/table/table.component.ts:685

  #### Returns void

### onSelectRow

- onSelectRow(event: any): void

- - Defined in src/table/table.component.ts:695

  #### Parameters

  - ##### event: any

  #### Returns void

### resetTabIndex

- resetTabIndex(newTabIndex?: number): void

- - Defined in src/table/table.component.ts:729

  #### Parameters

  - ##### Default value newTabIndex: number = -1

  #### Returns void

### scrollToTop

- scrollToTop(event: any): void

- - Defined in src/table/table.component.ts:839

  #### Parameters

  - ##### event: any

  #### Returns void

### updateSelectAllCheckbox

- updateSelectAllCheckbox(): void

- - Defined in src/table/table.component.ts:713

  #### Returns void

### Static focus

- focus(element: HTMLElement): void

- - Defined in src/table/table.component.ts:286

  #### Parameters

  - ##### element: HTMLElement

  #### Returns void

### Static setTabIndex

- setTabIndex(element: HTMLElement, index: -1 | 0): void

- - Defined in src/table/table.component.ts:275

  #### Parameters

  - ##### element: HTMLElement

  - ##### index: -1 | 0

  #### Returns void

### Static skeletonModel

- skeletonModel(rowCount: number, columnCount: number): TableModel

- - Defined in src/table/table.component.ts:256

  #### Parameters

  - ##### rowCount: number

  - ##### columnCount: number

  #### Returns TableModel

Generated using TypeDoc